﻿@model BD.Entities.XrayPhoto

@{
    ViewBag.Title = "Create";
}

<h2>Create</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>XrayPhoto</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            <div id="mydropzone" class="dropzone-container">
                <div id="dropzone-drop-area" class="dropzone-drop-area">
                    <div class="centered noselect clickthrough">
                    </div>
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                @Html.EditorFor(model => model.PhotoLink, new { htmlAttributes = new { @class = "hidden", @id = "photolink" } })
                @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.UserId, "UserId", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("UserId", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.UserId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>
<script>
    window.onload = function () {
        debugger;
        var link = "";
        var mydropzone = new Dropzone("#mydropzone",{
            url: "http://localhost:60007/XrayPhotoes/LoadPhoto",
            maxFiles: 1,
            previewsContainer: '#dropzone-drop-area',
            thumbnailWidth: 150,
            thumbnailHeight: 100,
            dictMaxFilesExceeded: 'Too many files',
            previewTemplate: '<div>' +
            // '<div data-dz-name></div>' +
            '<div data-dz-size></div>' +
            '<div> <img data-dz-thumbnail /></div>' +
            '</div>' +
            '<div  data-dz-errormessage></div>' +
            '<div><button data-dz-remove>Remove image</button></div>' +
            '</div>',
            createImageThumbnails: true,
            acceptedFiles: 'image/jpeg,image/png',
            accept: function (file, done) {
                done();
            },

            withCredentials: true
        });
        mydropzone.on('success', function (file, data) {
            debugger;
            link = data.result;
            $('#photolink')[0].value = link;           
        });
    };
</script>
@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")

}
